pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: libSM and libICE

On Thu, 18 Feb 2010 17:57:23 -0600
"Larson, Timothy E." <> wrote:

> On my 5.0.2 system, libSM fails to build because libICE is missing (errors 
> about _IcePoMagicCookie1Proc undeclared).  It's listed as a dependency in the 
> Makefile (along with xproto and xtrans), but the only things I see being 
> checked are:
> => Build dependency libtool-base>=2.2.6bnb3: found libtool-base-2.2.6bnb3
> => Build dependency pkg-config>=0.19: found pkg-config-0.23nb1
> => Build dependency x11-links>= found x11-links-
> => Build dependency checkperms>=1.1: found checkperms-1.11
> This leads me to believe something is broken.

Those packages are only supposed to be used with X11_TYPE=modular.
Your native X11 distribution should contain libICE, and it should be
provided by x11-links.

Home | Main Index | Thread Index | Old Index